Loading...
Searching...
No Matches
ZLLSensors.h File Reference
`#include "Sensor.h"`
Include dependency graph for ZLLSensors.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | hueplusplus::sensors::ZGPSwitch
| ZigBee Green Power sensor for button presses. More...
class | hueplusplus::sensors::ZLLSwitch
| ZigBee sensor reporting button presses. More...
class | hueplusplus::sensors::ZLLPresence
| Sensor detecting presence in the vicinity. More...
class | hueplusplus::sensors::ZLLTemperature
| ZigBee temperature sensor. More...
class | hueplusplus::sensors::ZLLLightLevel
| ZigBee sensor detecting ambient light level. More...

## Namespaces

namespace | hueplusplus
| Namespace for the hueplusplus library.
namespace | hueplusplus::sensors
| Classes for specific sensor types.

## Functions

detail::ConditionHelper< bool > | hueplusplus::sensors::makeConditionDark (const ZLLLightLevel &sensor)
detail::ConditionHelper< bool > | hueplusplus::sensors::makeConditionDaylight (const ZLLLightLevel &sensor)
detail::ConditionHelper< int > | hueplusplus::sensors::makeConditionLightLevel (const ZLLLightLevel &sensor)

## Detailed Description

Copyright Notice
Copyright (C) 2020 Jan Rogall - developer
This file is part of hueplusplus.

hueplusplus is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

hueplusplus is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with hueplusplus. If not, see http://www.gnu.org/licenses/.